---
title: "Update a case"
slug: "update-a-case"
updated: 2025-09-02T19:10:21Z
published: 2025-09-02T19:10:21Z
canonical: "developers.torq.io/update-a-case"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developers.torq.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Update a case
Patch/v1alpha/cases/{case.id}
Modifies the specified case. For more information on the different case properties, go to our [documentation](https://learn.torq.io/docs/create-and-update-a-case).
SecurityHTTPType bearer
Path parameterscase.idinteger (int32) Required
ID
The unique identifier of the case.
Body parametersExpand Allobject caseobject (The_new_values_for_the_case_properties_to_update__Remove_the_properties_that_need_to_retain_their_values_) Required
The new values for the case properties to update. Remove the properties that need to retain their values.
titlestring
The case title.
Examplecompromised user device
descriptionstring
The case description.
ExampleA user device is infected with a malware
stateobject (case_managementcasesv1State) valuestring
The name of the state. The default states are: new, in progress, on hold, resolved, closed. If your workspace has custom states, you can specify them by name.
Examplenew
severityobject (v1Severity) valuestring
The severity of the case. The possible values are: informational, low, medium, high, critical.
Examplehigh
assigneestring
The email address of the case assignee.
Examplejohn@torq.io
reporterobject (v1Actor)
userobject (ActorUser) emailstring
The email of the actor. Only applicable when the actor is a user.
Examplejane@torq.io
slaobject (v1Sla) valuestring (int64)
The duration, measured in seconds, from the creation of the case until it should be resolved or closed.
Example86400
start_timestring (date-time)
The timestamp when the case was created.
end_timestring (date-time)
The timestamp when the case was resolved or closed.
categorystring
The case categpry.
Examplemalware
tasksobject (v1Tasks) pendinginteger (int64)
The number of pending tasks.
Example3
resolution_summaryobject (v1ResolutionSummary) reasonstring
The reason the case was resolved or closed (up to 100 characters).
Exampleuser device was cleaned
detailsstring
The detailed overview of the case resolution.
ExampleThe user device was cleaned using the following steps: ...
reviewobject (v1Review) reviewerobject (v1Actor)
userobject (ActorUser) emailstring
The email of the actor. Only applicable when the actor is a user.
Examplejane@torq.io
conclusionobject (v1Conclusion) valuestring
The review conclusion. The default conclusions are Approved and Rejected, but they can be customized on the Cases settings page.
ExampleApproved
notestring
The case review conclusion note, providing additional context.
Example
reviewed_byobject (v1Actor)
userobject (ActorUser) emailstring
The email of the actor. Only applicable when the actor is a user.
Examplejane@torq.io
access_policy_typestring
- ACCESS_POLICY_UNSPECIFIED: The case is publicly accessible.
- ACCESS_POLICY_PUBLIC: The case is publicly accessible.
- ACCESS_POLICY_COLLABORATORS_LIST: The case is accessible only to a list of collaborators
Valid values[
"ACCESS_POLICY_UNSPECIFIED",
"ACCESS_POLICY_PUBLIC",
"ACCESS_POLICY_COLLABORATORS_LIST"
]Default"ACCESS_POLICY_UNSPECIFIED"
access_modeobject (v1AccessMode) idstring
- ACCESS_POLICY_UNSPECIFIED: The case is publicly accessible.
- ACCESS_POLICY_PUBLIC: The case is publicly accessible.
- ACCESS_POLICY_COLLABORATORS_LIST: The case is accessible only to a list of collaborators
Valid values[
"ACCESS_POLICY_UNSPECIFIED",
"ACCESS_POLICY_PUBLIC",
"ACCESS_POLICY_COLLABORATORS_LIST"
]Default"ACCESS_POLICY_UNSPECIFIED"
update_maskstring Required
The fields mask. The possible values are: "title", "description", "reporter", "state","severity", "assignee", "category", "sla", "tags", "custom_fields", "resolutionSummary", "review", or any comma-separated combination of these values. For example, to update the case title and description the field mask value is "title,description".
Exampleassignee
Responses200
A successful response.
Expand Allobject caseobject (v1Case) idinteger (int32)
The unique identifier of the case.
Example28
pretty_idstring
The unique identifier of the case as displayed on the Cases page.
Example#28
titlestring
The case title.
Examplecompromised user device
descriptionstring
The case description.
ExampleA user device is infected with a malware
stateobject (case_managementcasesv1State) valuestring
The name of the state. The default states are: new, in progress, on hold, resolved, closed. If your workspace has custom states, you can specify them by name.
Examplenew
severityobject (v1Severity) valuestring
The severity of the case. The possible values are: informational, low, medium, high, critical.
Examplehigh
assigneestring
The email address of the case assignee.
Examplejohn@torq.io
reporterobject (v1Actor) kindstring
The actor kind. Supported values are: USER, WORKFLOW, SOCRATES.
userobject (ActorUser) emailstring
The email of the actor. Only applicable when the actor is a user.
Examplejane@torq.io
created_atstring (date-time)
The timestamp when the case was created.
updated_atstring (date-time)
The timestamp when the case was last updated.
completed_atstring (date-time)
The timestamp when the case was resolved or closed.
slaobject (v1Sla) valuestring (int64)
The duration, measured in seconds, from the creation of the case until it should be resolved or closed.
Example86400
start_timestring (date-time)
The timestamp when the case was created.
end_timestring (date-time)
The timestamp when the case was resolved or closed.
categorystring
The case categpry.
Examplemalware
tags Array of string
The case tags.
Example[
"user",
"phishing"
]string
tasksobject (v1Tasks) pendinginteger (int64)
The number of pending tasks.
Example3
resolution_summaryobject (v1ResolutionSummary) reasonstring
The reason the case was resolved or closed (up to 100 characters).
Exampleuser device was cleaned
detailsstring
The detailed overview of the case resolution.
ExampleThe user device was cleaned using the following steps: ...
runbook_idstring
The case runbook ID.
reviewobject (v1Review) reviewerobject (v1Actor) kindstring
The actor kind. Supported values are: USER, WORKFLOW, SOCRATES.
userobject (ActorUser) emailstring
The email of the actor. Only applicable when the actor is a user.
Examplejane@torq.io
conclusionobject (v1Conclusion) valuestring
The review conclusion. The default conclusions are Approved and Rejected, but they can be customized on the Cases settings page.
ExampleApproved
notestring
The case review conclusion note, providing additional context.
Example
reviewed_byobject (v1Actor) kindstring
The actor kind. Supported values are: USER, WORKFLOW, SOCRATES.
userobject (ActorUser) emailstring
The email of the actor. Only applicable when the actor is a user.
Examplejane@torq.io
access_policy_typestring
- ACCESS_POLICY_UNSPECIFIED: The case is publicly accessible.
- ACCESS_POLICY_PUBLIC: The case is publicly accessible.
- ACCESS_POLICY_COLLABORATORS_LIST: The case is accessible only to a list of collaborators
Valid values[
"ACCESS_POLICY_UNSPECIFIED",
"ACCESS_POLICY_PUBLIC",
"ACCESS_POLICY_COLLABORATORS_LIST"
]Default"ACCESS_POLICY_UNSPECIFIED"
access_modeobject (v1AccessMode) idstring
- ACCESS_POLICY_UNSPECIFIED: The case is publicly accessible.
- ACCESS_POLICY_PUBLIC: The case is publicly accessible.
- ACCESS_POLICY_COLLABORATORS_LIST: The case is accessible only to a list of collaborators
Valid values[
"ACCESS_POLICY_UNSPECIFIED",
"ACCESS_POLICY_PUBLIC",
"ACCESS_POLICY_COLLABORATORS_LIST"
]Default"ACCESS_POLICY_UNSPECIFIED"
401
Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.
object
403
You don't have permission to access this resource.
object